# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::A3DSTriFace Class Reference

The A3DSTriFace class represents a triangle in a 3DS file. More...

`#include <vl3DS.hpp>`

List of all members.

## Public Member Functions
| A3DSTriFace ()
## Public Attributes
unsigned short | mA
unsigned short | mB
unsigned short | mC
unsigned short | mFlags
unsigned int | mSmoothingGroup
int | mMaterialIndex

## Detailed Description

The A3DSTriFace class represents a triangle in a 3DS file.

## Constructor & Destructor Documentation

vl::A3DSTriFace::A3DSTriFace | ( |  | ) | `[inline]`

## Member Data Documentation

unsigned short vl::A3DSTriFace::mA

unsigned short vl::A3DSTriFace::mB

unsigned short vl::A3DSTriFace::mC

unsigned short vl::A3DSTriFace::mFlags

unsigned int vl::A3DSTriFace::mSmoothingGroup

int vl::A3DSTriFace::mMaterialIndex

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vl3DS.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:11 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.